Subject: Re: cron + network share(w/ full access?)
From: Alan London <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Jan 2004 20:37:43 -0800 (PST)

Hello and Happy New Year.

Would it be possible to see your altered /etc/passwd? 
I must be doing something wrong.  I've made my user
have uid 18, put his entry before SYSTEM, and I still
get the same 1062 error when starting the cron service
as that user. 

I've been banging my head against the wall on the
cron-job-accessing-network-shares problem for a couple
days now :)  I'm glad I found this thread, it's given
me some hope.

Can anyone verify that they've got this trick/hack to
work in the current version of cygwin cron?

Thanks in advance,
Alan

------------
> Right. Looks like 18 is hardwired in cron.
> So after you create that user and update the
/etc/passwd file you would need to edit 
> /etc/password and change the uid of the user to 18.
With a little bit of luck
> the setuid(18) will be a noop. 
> Try keeping the SYSTEM uid to 18, too, for now. It's
probably hardwired too. 
> My head is spinning and I don't have the time to
sort through all the implications.

ok, changing the uid to 18 in the passwd file did it.

thanks a lot!

thanks to all the Cygwin developers, it's a fantastic
tool!

--tim

__________________________________
Do you Yahoo!?
New Yahoo! Photos - easier uploading and sharing.
http://photos.yahoo.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/